# makefile for panorama stitching, created by hugin 

# the output panorama
TARGET_PREFIX=moa1
TARGET=moa1.tif
PROJECT_FILE=/mnt/media/pictures/2008/2008-05-29/moa1.pto

# Input images
INPUT_IMAGES=/mnt/media/pictures/2008/2008-05-29/sta_3061.jpg /mnt/media/pictures/2008/2008-05-29/stb_3062.jpg /mnt/media/pictures/2008/2008-05-29/stc_3063.jpg /mnt/media/pictures/2008/2008-05-29/std_3064.jpg /mnt/media/pictures/2008/2008-05-29/ste_3065.jpg /mnt/media/pictures/2008/2008-05-29/stf_3066.jpg /mnt/media/pictures/2008/2008-05-29/stg_3067.jpg /mnt/media/pictures/2008/2008-05-29/sth_3068.jpg /mnt/media/pictures/2008/2008-05-29/sti_3069.jpg /mnt/media/pictures/2008/2008-05-29/stj_3070.jpg /mnt/media/pictures/2008/2008-05-29/stk_3071.jpg 

# remapped images
REMAPPED_IMAGES=moa10000.tif moa10001.tif moa10002.tif moa10003.tif moa10004.tif moa10005.tif moa10006.tif moa10007.tif moa10008.tif moa10009.tif moa10010.tif 

# Tool configuration
NONA=nona
PTSTITCHER=PTStitcher
PTMENDER=PTmender
PTBLENDER=PTblender
PTMASKER=PTmasker
PTROLLER=PTroller
ENBLEND=enblend
SMARTBLEND=smartblend.exe

# options for the programs
ENBLEND_OPTS=-v -z -f8176x3862


# including template /usr/share/hugin/xrc/data/nona_enblend.mk
# Rules for generating the pano

all: $(TARGET)

clean: $(REMAPPED_IMAGES)
	$(RM) $(REMAPPED_IMAGES)

$(REMAPPED_IMAGES): $(INPUT_IMAGES)
	$(NONA) -o $(TARGET_PREFIX) $(PROJECT_FILE)

$(TARGET): $(REMAPPED_IMAGES)
	$(RM) $(TARGET)
	$(ENBLEND) $(ENBLEND_OPTS) -o $(TARGET) $(REMAPPED_IMAGES)


